Subject: bug#20906: 25.0.50;

From: Mike FABIAN <[email-masked]>
Date: Mon, 05 Oct 2015 13:20:55 +0200

Eli Zaretskii <[email-masked]> さんはかきました:

>> From: Mike FABIAN <[email-masked]>
>> Cc: [email-masked]
>> Date: Mon, 05 Oct 2015 12:07:19 +0200
>> 
>> In xselect.c near line 1473, there is:
>> 
>>     static Lisp_Object
>>     x_get_window_property_as_lisp_data (struct x_display_info *dpyinfo,
>>                                         Window window, Atom property,
>>                                         Lisp_Object target_type,
>>                                         Atom selection_atom)
>>     {
>>       Atom actual_type;
>>       int actual_format;
>>       unsigned long actual_size;
>>       unsigned char *data = 0;
>>       ptrdiff_t bytes = 0;
>>       Lisp_Object val;
>>       Display *display = dpyinfo->display;
>> 
>>       TRACE0 ("Reading selection data");
>> 
>>       x_get_window_property (display, window, property, &data, &bytes,
>>                              &actual_type, &actual_format, &actual_size);
>> 
>> And here I see that “data” contains something like this:
>> 
>>     (gdb) p	data
>>     $1 = (unsigned char *) 0x1a98cb0 "\\u5b8c\\u4e86"
>> 
>> I.e. it seems to be wrong in in that function in “data” already.
>
> That was my guess.  What is the value of 'property', btw?

(gdb) p	property
$2 = 602

>> Is this the right way to debugging this? Continue like this?
>
> Could it be that some agent unrelated to Emacs produces these strings?
> Maybe the selection owner itself (Firefox, right?)?

And rxvt-unicode.

> Do other X programs work OK with pasting from the primary selection
> via the mouse?

No.

Pasting from gedit, gnome-terminal, ... (probably all gtk3 programs)
behaves the same way as pasting from firefox (Stuff like
\u6708\u66dc\u65e5 is inserted).

When pasting from xterm, I get only question marks for the non-ASCII
characters. Even worse.

-- 
Mike FABIAN <[email-masked]>
☏ Office: +49-69-365051027, internal 8875027
睡眠不足はいい仕事の敵だ。